# Get Prompts

<Heading
  as={"h1"}
  className={"openapi__heading"}
  children={"Get Prompts"}
>
</Heading>

<MethodEndpoint
  method={"get"}
  path={"/api/v1/workspaces/{workspace_name}/pipelines/{pipeline_name}/prompts"}
  context={"endpoint"}
>
  
</MethodEndpoint>

Returns the prompts of the pipeline as a dictionary of prompt node names and their respective prompts.

<Heading
  id={"request"}
  as={"h2"}
  className={"openapi-tabs__heading"}
  children={"Request"}
>
</Heading>

<ParamsDetails
  parameters={[{"description":"The name of the pipeline you want to fetch.","in":"path","name":"pipeline_name","required":true,"schema":{"description":"The name of the pipeline you want to fetch.","title":"Pipeline Name","type":"string"}},{"description":"Type the name of the workspace.","in":"path","name":"workspace_name","required":true,"schema":{"description":"Type the name of the workspace.","title":"Workspace Name","type":"string"}},{"description":"Convert Haystack special tokens like `{new_line}` in prompt.","in":"query","name":"convert_special_tokens","required":false,"schema":{"default":false,"description":"Convert Haystack special tokens like `{new_line}` in prompt.","title":"Convert Special Tokens","type":"boolean"}}]}
>
  
</ParamsDetails>

<RequestSchema
  title={"Body"}
  body={undefined}
>
  
</RequestSchema>

<StatusCodes
  id={undefined}
  label={undefined}
  responses={{"200":{"content":{"application/json":{"schema":{"properties":{"prompts":{"additionalProperties":{"anyOf":[{"properties":{"config_path":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"The path in the pipeline YAML where the prompt is defined.","title":"Prompt config path"},"connected_inputs":{"description":"List of inputs connected to this component.","items":{"properties":{"component":{"description":"The name of the sender component.","title":"Connected Input Component","type":"string"},"name":{"description":"The output name from the sender component (e.g., 'documents').","title":"Connected Input Name","type":"string"}},"required":["name","component"],"title":"ConnectedInput","type":"object"},"title":"Connected Inputs","type":"array"},"display_name":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"A human friendly name for the prompt.","title":"Prompt display name"},"param_key":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"The component's run parameter key to set the prompt at runtime.","title":"Prompt parameter key"},"template_name":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"The name of the template used for the prompt. This field is deprecated and will be removed in future versions.","title":"Prompt template name (deprecated)"},"text":{"description":"The prompt text used in the pipeline.","title":"Prompt text","type":"string"}},"required":["text"],"title":"PipelinePrompt","type":"object"},{"items":{"properties":{"config_path":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"The path in the pipeline YAML where the prompt is defined.","title":"Prompt config path"},"connected_inputs":{"description":"List of inputs connected to this component.","items":{"properties":{"component":{"description":"The name of the sender component.","title":"Connected Input Component","type":"string"},"name":{"description":"The output name from the sender component (e.g., 'documents').","title":"Connected Input Name","type":"string"}},"required":["name","component"],"title":"ConnectedInput","type":"object"},"title":"Connected Inputs","type":"array"},"display_name":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"A human friendly name for the prompt.","title":"Prompt display name"},"param_key":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"The component's run parameter key to set the prompt at runtime.","title":"Prompt parameter key"},"template_name":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"The name of the template used for the prompt. This field is deprecated and will be removed in future versions.","title":"Prompt template name (deprecated)"},"text":{"description":"The prompt text used in the pipeline.","title":"Prompt text","type":"string"}},"required":["text"],"title":"PipelinePrompt","type":"object"},"type":"array"}]},"description":"A dictionary of prompts where each key is the prompt node name and each value is either a single prompt definition or a list of prompt definitions for that node. Each prompt definition contains the prompt text and can optionally include a template_name.","title":"Prompts of the pipeline","type":"object"}},"required":["prompts"],"title":"PipelinePrompts","type":"object"}}},"description":"Successful Response"},"422":{"content":{"application/json":{"schema":{"properties":{"detail":{"items":{"properties":{"ctx":{"title":"Context","type":"object"},"input":{"title":"Input"},"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"title":"Location","type":"array"},"msg":{"title":"Message","type":"string"},"type":{"title":"Error Type","type":"string"}},"required":["loc","msg","type"],"title":"ValidationError","type":"object"},"title":"Detail","type":"array"}},"title":"HTTPValidationError","type":"object"}}},"description":"Validation Error"}}}
>
  
</StatusCodes>
